MyGUI 3.2.2

Public Types | Public Member Functions | Data Fields
MyGUI::VertexQuad Struct Reference

`#include <MyGUI_VertexData.h>`

## Public Types
enum | Enum { CornerLT = 0, CornerRT = 1, CornerLB = 2, CornerLB2 = 3, CornerRT2 = 4, CornerRB = 5, VertexCount = 6 }

## Public Member Functions
void | set (float _l, float _t, float _r, float _b, float _z, float _u1, float _v1, float _u2, float _v2, uint32 _colour)
void | set (float _x1, float _y1, float _x2, float _y2, float _x3, float _y3, float _x4, float _y4, float _z, float _u1, float _v1, float _u2, float _v2, uint32 _colour)

## Data Fields
Vertex | vertex [6]

## Detailed Description

Definition at line 33 of file MyGUI_VertexData.h.

## Member Enumeration Documentation

## ◆ Enum

enum MyGUI::VertexQuad::Enum

Enumerator
CornerLT |
CornerRT |
CornerLB |
CornerLB2 |
CornerRT2 |
CornerRB |
VertexCount |

Definition at line 35 of file MyGUI_VertexData.h.

## Member Function Documentation

## ◆ set() [1/2]

void MyGUI::VertexQuad::set | ( | float | _l,
|  | float | _t,
|  | float | _r,
|  | float | _b,
|  | float | _z,
|  | float | _u1,
|  | float | _v1,
|  | float | _u2,
|  | float | _v2,
|  | uint32 | _colour
| ) |  |
| inline

Definition at line 46 of file MyGUI_VertexData.h.

## ◆ set() [2/2]

void MyGUI::VertexQuad::set | ( | float | _x1,
|  | float | _y1,
|  | float | _x2,
|  | float | _y2,
|  | float | _x3,
|  | float | _y3,
|  | float | _x4,
|  | float | _y4,
|  | float | _z,
|  | float | _u1,
|  | float | _v1,
|  | float | _u2,
|  | float | _v2,
|  | uint32 | _colour
| ) |  |
| inline

Definition at line 56 of file MyGUI_VertexData.h.

## Field Documentation

## ◆ vertex

Vertex MyGUI::VertexQuad::vertex[6]

Definition at line 66 of file MyGUI_VertexData.h.

The documentation for this struct was generated from the following file:

- MyGUI_VertexData.h